{literal}
<script language="javascript">
function CheckForm()
{
			  if (document.all.data_form.name!=null) 	
				if(document.all.data_form.name.value=="")
				
				{
				
					alert("Введите название, пожалуйста.");
					document.all.data_form.name.focus();
					return false;
				
				}
				
				
									
			  if (document.all.data_form.code!=null) 	
				if(document.all.data_form.code.value=="")
				
				{
				
					alert("Введите код, пожалуйста.");
					document.all.data_form.code.focus();
					return false;
				
				}
				
				
									
			  if (document.all.data_form.country!=null) 	
				if(document.all.data_form.country.value=="")
				
				{
				
					alert("Введите код, пожалуйста.");
					document.all.data_form.country.focus();
					return false;
				
				}
				
				
									
			  if (document.all.data_form.url!=null) 	
				if(document.all.data_form.url.value=="")
				
				{
				
					alert("Укажите сайт валюты, пожалуйста.");
					document.all.data_form.url.focus();
					return false;
				
				}
				
				
																					
				if(document.all.data_form.ps_comission.value=="")
				
				{
				
					alert("Введите комиссию за перевод в платежной системе, пожалуйста.");
					document.all.data_form.ps_comission.focus();
					return false;
				
				}
				
				
															
				var reg = new RegExp("^ordinary|pincode$");
				
				if(!reg.test(document.all.data_form.type.value))
				
				{
				
					alert("Укажите правильно тип валюты");
					document.all.data_form.type.focus();
					return false;
				
				}
				
				
												
				var reg = new RegExp("^auto|manual|pincode$");
				
				if(!reg.test(document.all.data_form.transfare_type.value))
				
				{
				
					alert("Укажите правильно способ передачи");
					document.all.data_form.transfare_type.focus();
					return false;
				
				}
				
				
												
				var reg = new RegExp("^0|1$");
				
				if(!reg.test(document.all.data_form.stat.value))
				
				{
				
					alert("Укажите статус, пожалуйста.");
					document.all.data_form.stat.focus();
					return false;
				
				}
				
				
							return true;


}
</script>
{/literal}


<blockquote>
<form action="{$smarty.server.PHP_SELF}" method="post" enctype="multipart/form-data" id="data_form" onSubmit="return CheckForm();">
<table border="0" width="50%">

<tr>
<td colspan="2">
<b>Общие настройки</b>
<hr style="border-color:#999999;border-style:double; height:1px;">
</td>
</tr>

			<tr>
			<td width="40%">Системный ID номер:</td> <td><b>{$id}</b><input type=hidden name=id value="{$id}"></td>
		</tr>
				<tr>
			<td>Навзание:</td> <td><input type="text" size=40 class="text_input" name="name" value="{$name}" ></td>
		</tr>
				<tr>
			<td valign="top">Код:</td> <td><input type="text" size=40 class="text_input" name="code" value="{$code}">
			<br>Внимание! В автоматических валютах этот код используется в скриптах системы, его смена приведет к неработоспособности.
			</td>
		</tr>
				<tr>
			<td valign="top">Страна:</td> <td>
			
			<select name="country">
				{html_options values=$country_ids selected=$country output=$country_names}
	        </select>
			<br>Используется в информационных целях.
			</td>
		</tr>
				<tr>
			<td>Сайт валюты:</td> <td><input type="text" size=40 class="text_input" name="url" value="{$url}" ></td>
		</tr>
				<tr>
			<td valign="top">Логотип:</td> <td><input type="file" size=40 name="logo"><br>
			Лого загружается только в <b>.gif</b> формате.
			{if $logo_img_src neq ''}
			<br>
			<img src="{$logo_img_src}"> текущее значение.
			{/if}
			</td>
		</tr>

		<tr>
			<td valign="top">Доступный остаток:</td> <td><input type="text" size=10 class="text_input" name="amount" value="{$amount}"> {$currency_symbol}
			<br>
			В случае, если валюта - ПИН код, здесь отображается количество свободных ПИН кодов.
			</td>
		</tr>

		<tr>
			<td valign="top">Позиция при сортировке:</td> 
			<td>
			<select name="pos">
				{html_options values=$pos_ids selected=$pos output=$pos_names}
	        </select>
			<br>
			При выводе валют обмена в списках и таблицах сайта сортировка производится по этому параметру.
			<td>
			
		</td>
		</tr>

		<tr>
			<td valign="top">Статус:</td> <td><select name="stat" ><option value="1" {if $stat==1}selected{/if}>Активный<option value="0" {if $stat==0}selected{/if}>Не активный</select>
			<br>
			Опция отображает, доступна ли валюта для обмена.
			</td>
		</tr>


<tr>
<td colspan="2">
<b>Платежные настройки</b>
<hr style="border-color:#999999;border-style:double; height:1px;">
</td>
</tr>


		<tr>
			<td>Привязка к реальной валюте:</td> <td>
			
			<select name="curr">
				{html_options values=$curr_ids selected=$curr output=$curr_names}
	        </select>

		</td>
		</tr>
		
		<tr>
			<td>Привязка к металлу:</td> <td>
			
			<select name="metal">
				{html_options values=$metal_ids selected=$metal output=$metal_names}
	        </select>
		</td>

		<tr>
			<td valign="top">Знаков после запятой:</td> <td>
				<select name="precision"  class="bginput">
					{html_options values=$precision_ids selected=$precision output=$precision_names}
				</select>
				<br>
				В большинстве случаев используется 2 знака.
	
			</td>
		</tr>


		</tr>
				<tr>
			<td>Комиссия при переводах внутри платежной системы, %:</td> <td><input type="text" size=10 class="text_input" name="ps_comission" value="{$ps_comission}" style=" text-align:center"> % <b>платит</b> 
			
			<input type="radio" style="border:0;" name="who_pay_comission" value="0" id="wpc_s" {if $who_pay_comission ==0}checked{/if}><label for="wpc_s">Отправитель</label>
			<input type="radio" style="border:0;" name="who_pay_comission" value="1" id="wpc_r" {if $who_pay_comission ==1}checked{/if}><label for="wpc_r">Получатель</label>
			
			</td>
		</tr>

<tr>
<td colspan="2"><br>
<b>Настройки типа валюты и уровня автоматизации</b>
<hr style="border-color:#999999;border-style:double; height:1px;">
</td>
</tr>

			
			<tr>
			<td>Тип валюты:</td> <td><select name="type"  onChange="document.forms.data_form.pincode_collection_id.disabled=(this.value!='pincode');document.forms.data_form.curr.disabled=document.forms.data_form.metal.disabled=document.forms.data_form.amount.disabled=(this.value=='pincode'); if(this.value=='pincode' && document.forms.data_form.transfare_type.value != 'pincode')document.forms.data_form.transfare_type.value=('pincode');"><option value="ordinary" {if $type=='ordinary'}selected{/if} >Обычная<option value="pincode" {if $type=='pincode'}selected{/if}>ПИН-код</select></td>
		</tr>
				<tr>
			<td>Коллекция ПИН-кодов:</td> 
			<td>
			<select name="pincode_collection_id"  class=bginput>
				{html_options values=$collect_ids selected=$pincode_collection_id output=$collect_names}
	        </select>
			</td>
			
		</tr>
		<tr>
			<td>Способ передачи:</td> <td><select name="transfare_type"  onChange="document.forms.data_form.manual_properties.disabled=(this.value!='manual');document.forms.data_form.type.value=(this.value=='pincode')?('pincode'):('ordinary');document.forms.data_form.type.onchange();"><option value="auto" {if $transfare_type=='auto'}selected{/if}>Автоматически<option value="manual" {if $transfare_type=='manual'}selected{/if}>Вручную<option value="pincode" {if $transfare_type=='pincode'}selected{/if}>ПИН-код</select></td>
		</tr>
				<tr>
			<td>Реквизиты(только при ручной передаче!)</td> <td>
			<textarea cols="40" name="manual_properties" rows="3">{$manual_properties}</textarea></td>
		</tr>
<tr>
<td colspan="2">
<hr style="border-color:#999999;border-style:double; height:1px;">
</td>
</tr>


	 <tr>
    <td>&nbsp;</td>
    <td>
        <input type="submit" name="subm" value="Сохранить" size="50">&nbsp;&nbsp;
        <input type="button" name="cancel" value="Отмена" onClick="document.location.href='./index.php?l_pager';"></td>
  </tr>
</table>

</form>
<blockquote>